﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.SqlClient;

namespace StoreImageInDB
{
    /// <summary>
    /// Summary description for ImageHandler
    /// </summary>
    public class ImageHandler : IHttpHandler
    {

        public void ProcessRequest(HttpContext context)
        {
            int id = Convert.ToInt32(context.Request.QueryString["imageid"].ToString());

            Byte[] content = GetImageFromDB(id);

            context.Response.BinaryWrite(content);
        }

        private byte[] GetImageFromDB(int id)
        {
            SqlConnection connection = new SqlConnection();
            connection.ConnectionString = "Data Source=.\\SQLEXPRESS;Initial Catalog=ImageDB;Integrated Security=SSPI";
            connection.Open();

            SqlCommand command = new SqlCommand("GetImage", connection);
            command.CommandType = System.Data.CommandType.StoredProcedure;
            command.Parameters.Add("id", System.Data.SqlDbType.Int).Value = id;

            Byte[] content =  command.ExecuteScalar() as Byte[];

            connection.Close();

            return content;

        }

        public bool IsReusable
        {
            get
            {
                return false;
            }
        }
    }
}